#include "peg_pic.h"


/****** Free memory if the corresponding array is not used  ******/

void memfree() {
	int isp, i, k;

	free(vpart);
	free(vpar0);
	free(vperpt);
	free(vperp0);
	free(Index);


	i=0;
	k=0;

	for(isp=0; isp<nsp; isp++) {
		if (inject[isp]) {
			i++;
		}
	}

	if (!i) {
		free(enter);
		free(vnpart);
		free(vnperpt);
		free(vnpar0);
		free(vnperp0);
		free(parvell);
		free(parvelr);
	}

	for(isp=0; isp<nsp; isp++) {
		if (Nsec[isp]) {
			k++;
		}
	}

	if (!k) {
		free(secsp);
		free(sectype);
		free(injtype);
		free(seec);
		free(Tseec);
		free(Ew);
		free(E0);
	}

	i=0;

	for(isp=0; isp<nsp; isp++) {
		if (i_t[isp]) {
			i++;
		}
	}

	if (!i) {
		free(c_omt);
	}

} /* END of memfree() */

/*********************************************************************/
